Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# deref_base Struct Template Reference
[Models]

`#include <utilities.hpp>`

Inheritance diagram for deref_base:

List of all members.

## Detailed Description

### template<typename ConstT, typename Value, typename Reference, typename ConstReference, typename ArgType, typename ResultType, bool IsMutable>
struct boost::gil::deref_base< ConstT, Value, Reference, ConstReference, ArgType, ResultType, IsMutable >

Helper base class for pixel dereference adaptors.

## Public Types

typedef ConstT | const_t
typedef Value | value_type
typedef Reference | reference
typedef ConstReference | const_reference

## Public Member Functions

| BOOST_STATIC_CONSTANT (bool, is_mutable=IsMutable)

The documentation for this struct was generated from the following file:

- utilities.hpp